diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index ecec0a60c7..4ef8d31f8e 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -451,6 +451,7 @@ $ENV{CONFIG}="Debug";
 <userinput>vcregress ecpgcheck</userinput>
 <userinput>vcregress isolationcheck</userinput>
 <userinput>vcregress bincheck</userinput>
+<userinput>vcregress authcheck</userinput>
 <userinput>vcregress recoverycheck</userinput>
 <userinput>vcregress upgradecheck</userinput>
 </screen>
@@ -467,8 +468,9 @@ $ENV{CONFIG}="Debug";
 
   <para>
    Running the regression tests on client programs, with
-   <command>vcregress bincheck</>, or on recovery tests, with
-   <command>vcregress recoverycheck</>, requires an additional Perl module
+   <command>vcregress bincheck</>, on recovery tests, with
+   <command>vcregress recoverycheck</>, or on authentication tests with
+   <command>vcregress authcheck</> requires an additional Perl module
    to be installed:
    <variablelist>
     <varlistentry>
diff --git a/src/test/authentication/.gitignore b/src/test/authentication/.gitignore
new file mode 100644
index 0000000000..871e943d50
--- /dev/null
+++ b/src/test/authentication/.gitignore
@@ -0,0 +1,2 @@
+# Generated by test suite
+/tmp_check/
diff --git a/src/tools/msvc/vcregress.pl b/src/tools/msvc/vcregress.pl
index f1b9819cd2..c3cb4d0c74 100644
--- a/src/tools/msvc/vcregress.pl
+++ b/src/tools/msvc/vcregress.pl
@@ -34,7 +34,7 @@ if (-e "src/tools/msvc/buildenv.pl")
 
 my $what = shift || "";
 if ($what =~
-/^(check|installcheck|plcheck|contribcheck|modulescheck|ecpgcheck|isolationcheck|upgradecheck|bincheck|recoverycheck)$/i
+/^(check|installcheck|plcheck|contribcheck|modulescheck|ecpgcheck|isolationcheck|upgradecheck|bincheck|recoverycheck|authcheck)$/i
   )
 {
 	$what = uc $what;
@@ -90,6 +90,7 @@ my %command = (
 	ISOLATIONCHECK => \&isolationcheck,
 	BINCHECK       => \&bincheck,
 	RECOVERYCHECK  => \&recoverycheck,
+	AUTHCHECK      => \&authcheck,
 	UPGRADECHECK   => \&upgradecheck,);
 
 my $proc = $command{$what};
@@ -373,6 +374,16 @@ sub recoverycheck
 	exit $status if $status;
 }
 
+sub authcheck
+{
+	InstallTemp();
+
+	my $mstat  = 0;
+	my $dir    = "$topdir/src/test/authentication";
+	my $status = tap_check($dir);
+	exit $status if $status;
+}
+
 # Run "initdb", then reconfigure authentication.
 sub standard_initdb
 {
@@ -599,6 +610,7 @@ sub usage
 	print STDERR
 	  "Usage: vcregress.pl <mode> [ <schedule> ]\n\n",
 	  "Options for <mode>:\n",
+	  "  authcheck      run authentication test suite\n",
 	  "  bincheck       run tests of utilities in src/bin/\n",
 	  "  check          deploy instance and run regression tests on it\n",
 	  "  contribcheck   run tests of modules in contrib/\n",
